SELECT `subject`, COUNT(title.title) AS numberOfTitlesInSubject, collectionCode.collectionCode
FROM title, `subject`, itemType, itemToBib, collectionCode
WHERE itemType.itemtype LIKE '%acmap' AND
    collectionCode.itemNumber = itemType.itemNumber AND
    itemType.itemNumber = itemToBib.itemNumber AND
    itemToBib.bibNumber = subject.bibNumber AND
    subject.bibNumber = title.bibNumber
GROUP BY `subject`, collectionCode
ORDER BY numberOfTitlesInSubject DESC
LIMIT 20;